| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Private Attributes | List of all members
RedFile Class Reference
Inheritance diagram for RedFile:

## Public Member Functions
| __construct ($data)
| put ($data)
| get ()
| getETag ()
| getContentType ()
| getSize ()

## Private Attributes
| $data

## Constructor & Destructor Documentation

RedFile::__construct | ( |  | $data | ) |

## Member Function Documentation

RedFile::get | ( |  | ) |

RedFile::getContentType | ( |  | ) |

RedFile::getETag | ( |  | ) |

RedFile::getSize | ( |  | ) |

RedFile::put | ( |  | $data | ) |

## Member Data Documentation

RedFile::$data
| private

Referenced by __construct().

The documentation for this class was generated from the following file:

- include/reddav.php